Subject: bug#6991: closed (RE: bug#6991: Please keep bytecode out of *Backtrace* buffers)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 02 Jul 2012 17:46:03 +0000

Your bug report

#6991: Please keep bytecode out of *Backtrace* buffers

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6991: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6991
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: RE: bug#6991: Please keep bytecode out of *Backtrace* buffers
From: "Drew Adams" <[email-masked]>
To: "'Juanma Barranquero'" <[email-masked]>
Cc: 'Glenn Morris' <[email-masked]>, [email-masked], [email-masked]
Date: Mon, 2 Jul 2012 10:40:38 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

> > Why?  No reason given.  This is a reasonable request, which 
> > would improve correspondence about bugs and user difficulties.

And no response to that question.  I've reopened this bug.

> > Users who are aware of the problem often have to manually 
> > excise such binary codes and replace them with `...' or nothing.
> 
> Yes. Not two days ago I had to do exactly that.

I do it quite frequently.  And I see portions of backtrace text sent by email
and posted to websites quite often - including in this bug list!

Posting a backtrace is a common and reasonable way to communicate about many
Emacs problems.  Needing to hand-sanitize a backtrace log to remove byte code
portions is silly.  That's what machines and software are for.

> > This should at least be a wishlist item, IMO.  Or at least 
> > give a convincing argument why the request is not appropriate.
> 
> Agreed.

Users should be able to control this (e.g. via an option, and perhaps even a
toggle key in buffer *Backtrace*.

The usefulness of this should be a no-brainer.

I cannot speak to the difficulty of implementating the fix.

Subject: Please keep bytecode out of *Backtrace* buffers
From: [email-masked]
To: [email-masked]
Date: Tue, 07 Sep 2010 09:35:10 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Please keep bytecode out of *Backtrace* buffers.
* It is unreadable.
* It will cause problems when sent via email. Even if one runs col(1)
and strings(1) on it, nobody can read it anyway.
* The mountain of gobbledygook makes people reading give up on trying to help.
E.g., http://article.gmane.org/gmane.emacs.w3m/8695